### org.jfree.layouting.input.style.selectors.conditions

# Class PositionalCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.PositionalCSSCondition`

Implemented Interfaces:
  Condition, CSSCondition, PositionalCondition, Serializable

`public class PositionalCSSCondition`
`extends java.lang.Object`
`implements CSSCondition, PositionalCondition`

Creation-Date: 24.11.2005, 19:51:10

Author:
  Thomas Morgner

  ## Constructor Summary

  `PositionalCSSCondition(int position, boolean matchByType, boolean matchByName)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `int`

  `getPosition()`
    Returns the position in the tree.

  `boolean`

  `getType()`
    `true` if the node should have the same node type (for element, same namespaceURI and same localName).

  `boolean`

  `getTypeNode()`
    `true` if the child node list only shows nodes of the same type of the selector (only elements, only PIS, ...)

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### PositionalCSSCondition

    public PositionalCSSCondition(int position,
                                  boolean matchByType,
                                  boolean matchByName)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### getPosition

    public int getPosition()

> Returns the position in the tree.

> A negative value means from the end of the child node list.

> The child node list begins at 0.

### getType

    public boolean getType()

> `true` if the node should have the same node type (for element, same namespaceURI and same localName).

### getTypeNode

    public boolean getTypeNode()

> `true` if the child node list only shows nodes of the same type of the selector (only elements, only PIS, ...)

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition